www.cendio.com
Bug 5576 - Ubuntu doesn't have /etc/apache2/conf.d -> tl-setup claims it can't speak to localhost:443
: Ubuntu doesn't have /etc/apache2/conf.d -> tl-setup claims it can't speak to ...
Status: CLOSED FIXED
: ThinLinc
Server Installer
: 4.4.0
: PC Unknown
: P2 Normal
: 4.10.0
Assigned To:
:
:
:
: 6156
  Show dependency treegraph
 
Reported: 2015-06-23 16:55 by
Modified: 2018-09-13 16:01 (History)
Acceptance Criteria:
* It should be possible to install Web Integration on a Ubuntu server


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2015-06-23 16:55:51
Verified on Ubuntu 14.04, got unconfirmed reports about 12.04 still working
fine.

apache2 in Ubuntu has stopped using the /etc/apache2/conf.d and isn't packaging
it anymore. They now use /etc/apache2/conf-available and
/etc/apache2/conf-enabled, which is at least consistent with their approach for
mods and sites.

tl-setup doesn't know about these directories, so it fails to detect the
configuration of the web server, and thus it presents a error message to the
user, saying that it could not connect to localhost:443. In fact, it manages to
connect just fine, but fails to find the configuration directory.

End result, user is unable to install web integration parts of ThinLinc and
gets a misleading error message.

The easiest workaround for now is to "ln -s /etc/apache2/conf-enabled
/etc/apache2/conf.d".
------- Comment #2 From cendio 2018-09-05 13:01:18 -------
The tl-setup error has been removed by solving bug 5190, and the new
installation script looks for the /etc/apache2/conf-enabled directory, solving
the other part of this bug.

Testing could be synchronized with bug 5190.
------- Comment #3 From cendio 2018-09-11 14:18:27 -------
Updating acceptance criteria after discussions with Henrik
------- Comment #4 From cendio 2018-09-13 10:26:32 -------
Putting the thinlinc.conf configuration directly into /etc/apache2/conf-enabled
breaks integration with the configuration structure and tools.

a2enconf / a2disconf does not work and makes it confusing for the
administrator:

  $ sudo a2disconf thinlinc
  ERROR: /etc/apache2/conf-enabled/thinlinc.conf is not a symbolic link, not 
  deleting
  Conf thinlinc disabled.

This means that thinlinc conf is still enabled.


To integrate properly with configuration structure, thinlinc.conf should be
placed into /etc/apache2/conf-available and then activated with 'a2enconf
thinlinc'.
------- Comment #6 From cendio 2018-09-13 13:58:31 -------
(In reply to comment #4)
> Putting the thinlinc.conf configuration directly into /etc/apache2/conf-enabled
> breaks integration with the configuration structure and tools.
> 
> a2enconf / a2disconf does not work and makes it confusing for the
> administrator:
> 
>   $ sudo a2disconf thinlinc
>   ERROR: /etc/apache2/conf-enabled/thinlinc.conf is not a symbolic link, not 
>   deleting
>   Conf thinlinc disabled.
> 
> This means that thinlinc conf is still enabled.
> 
> 
> To integrate properly with configuration structure, thinlinc.conf should be
> placed into /etc/apache2/conf-available and then activated with 'a2enconf
> thinlinc'.

Fixed in r33662.
------- Comment #7 From cendio 2018-09-13 16:01:37 -------
(In reply to comment #6)
> (In reply to comment #4)
> > Putting the thinlinc.conf configuration directly into /etc/apache2/conf-enabled
> > breaks integration with the configuration structure and tools.
> > 
> > a2enconf / a2disconf does not work and makes it confusing for the
> > administrator:
> > 
> >   $ sudo a2disconf thinlinc
> >   ERROR: /etc/apache2/conf-enabled/thinlinc.conf is not a symbolic link, not 
> >   deleting
> >   Conf thinlinc disabled.
> > 
> > This means that thinlinc conf is still enabled.
> > 
> > 
> > To integrate properly with configuration structure, thinlinc.conf should be
> > placed into /etc/apache2/conf-available and then activated with 'a2enconf
> > thinlinc'.
> 
> Fixed in r33662.

Work as expected, thinlinc configuration can now be enabled / disabled using
a2enconf / a2disconf.